/*
 * CPC45 board specific definitions
 *
 * Copyright (c) 2004 Wolfgang Denk (wd@denx.de)
 */

#ifndef __ASMPPC_CPC45_SERIAL_H
#define __ASMPPC_CPC45_SERIAL_H

#include <linux/config.h>

#define CPC45_SERIAL_0		0xFDF04500
#define CPC45_SERIAL_1		0xFDF04600

#ifdef CONFIG_SERIAL_MANY_PORTS
#define RS_TABLE_SIZE  64
#else
#define RS_TABLE_SIZE  2
#endif

#define BASE_BAUD ( 99000000 / 16 )

#ifdef CONFIG_SERIAL_DETECT_IRQ
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST|ASYNC_AUTO_IRQ)
#else
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST)
#endif

#define STD_SERIAL_PORT_DFNS \
        { 0, BASE_BAUD, CPC45_SERIAL_0, 3, STD_COM_FLAGS, /* ttyS0 */ \
		iomem_base: (u8 *)CPC45_SERIAL_0,			  \
		io_type: SERIAL_IO_MEM },\
        { 0, BASE_BAUD, CPC45_SERIAL_1, 3, STD_COM_FLAGS, /* ttyS1 */ \
		iomem_base: (u8 *)CPC45_SERIAL_1,			  \
		io_type: SERIAL_IO_MEM },

#define SERIAL_PORT_DFNS \
        STD_SERIAL_PORT_DFNS

#endif /* __ASMPPC_CPC45_SERIAL_H */
