/*
 * arch/ppc/platforms/hmi1001.h
 */


#ifndef __PLATFORMS_HMI1001_H
#define __PLATFORMS_HMI1001_H

#define MPC5xxx_PROC_PCI_MEM_START	0x40000000U
#define MPC5xxx_PROC_PCI_MEM_END	0x4fffffffU
#define MPC5xxx_PCI_MEM_START		0x40000000U
#define MPC5xxx_PCI_MEM_END		0x4fffffffU
#define MPC5xxx_PCI_MEM_SIZE		(MPC5xxx_PCI_MEM_END + 1 - MPC5xxx_PCI_MEM_START)

#define MPC5xxx_PCI_MEM_VIRT_START	0x40000000U

#define MPC5xxx_PROC_PCI_IO_START	0x50000000U
#define MPC5xxx_PROC_PCI_IO_END		0x50ffffffU
#define MPC5xxx_PCI_IO_START		0x50000000U
#define MPC5xxx_PCI_IO_END		0x50ffffffU
#define MPC5xxx_PCI_IO_SIZE		(MPC5xxx_PCI_IO_END + 1 - MPC5xxx_PCI_IO_START)

#define MPC5xxx_PCI_IO_VIRT_START	0x50000000U

#define MPC5xxx_PCI_DRAM_OFFSET		0x00000000U
#define MPC5xxx_PCI_PHY_MEM_OFFSET	0x00000000U

#define MPC5xxx_ISA_IO_BASE		MPC5xxx_PROC_PCI_IO_START
#define MPC5xxx_ISA_MEM_BASE		MPC5xxx_PROC_PCI_MEM_START

#define RS_TABLE_SIZE			3

#ifdef CONFIG_UBOOT
#define	MPC5xxx_INIT_BAUD_BASE		0
#else
#define	MPC5xxx_INIT_BAUD_BASE		CONFIG_PPC_5xxx_IPBFREQ
#endif

#define CFG_SRAM_PADDR			0x80100000
#define CFG_SRAM_SIZE			0x00100000

#define STD_PSC_OP(num)					\
{							\
	.magic = 0,					\
	.baud_base = MPC5xxx_INIT_BAUD_BASE,		\
	.irq = MPC5xxx_PSC##num##_IRQ,			\
	.flags = ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST, 	\
	.iomem_base = (void *)MPC5xxx_PSC##num,		\
	.io_type = SERIAL_IO_MEM,			\
},

#define SERIAL_PORT_DFNS	\
	STD_PSC_OP(1)		\
	STD_PSC_OP(2)		\
	STD_PSC_OP(6)

#endif /* __PLATFORMS_HMI1001_H */
