/*
 * arch/ppc/platforms/inka4x0.h
 */


#ifndef __PLATFORMS_INKA4X0_H
#define __PLATFORMS_INKA4X0_H

#define MPC5xxx_PROC_PCI_MEM_START	0x40000000U
#define MPC5xxx_PROC_PCI_MEM_END	0x4fffffffU
#define MPC5xxx_PCI_MEM_START		0x40000000U
#define MPC5xxx_PCI_MEM_END		0x4fffffffU
#define MPC5xxx_PCI_MEM_SIZE		(MPC5xxx_PCI_MEM_END + 1 - MPC5xxx_PCI_MEM_START)

#define MPC5xxx_PCI_MEM_VIRT_START	0x40000000U

#define MPC5xxx_PROC_PCI_IO_START	0x50000000U
#define MPC5xxx_PROC_PCI_IO_END		0x50ffffffU
#define MPC5xxx_PCI_IO_START		0x50000000U
#define MPC5xxx_PCI_IO_END		0x50ffffffU
#define MPC5xxx_PCI_IO_SIZE		(MPC5xxx_PCI_IO_END + 1 - MPC5xxx_PCI_IO_START)

#define MPC5xxx_PCI_IO_VIRT_START	0x50000000U

#define MPC5xxx_PCI_DRAM_OFFSET		0x00000000U
#define MPC5xxx_PCI_PHY_MEM_OFFSET	0x00000000U

#define MPC5xxx_ISA_IO_BASE		MPC5xxx_PROC_PCI_IO_START
#define MPC5xxx_ISA_MEM_BASE		MPC5xxx_PROC_PCI_MEM_START

#define RS_TABLE_SIZE			4

#ifdef CONFIG_UBOOT
#define	MPC5xxx_INIT_BAUD_BASE		0
#else
#define	MPC5xxx_INIT_BAUD_BASE		CONFIG_PPC_5xxx_IPBFREQ
#endif

#define CFG_SRAM_PADDR			0x30000000
#define CFG_SRAM_SIZE			0x00400000

#define STD_PSC_OP(num)					\
{							\
	.magic = 0,					\
	.baud_base = MPC5xxx_INIT_BAUD_BASE,		\
	.irq = MPC5xxx_PSC##num##_IRQ,			\
	.flags = ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST, 	\
	.iomem_base = (void *)MPC5xxx_PSC##num,		\
	.io_type = SERIAL_IO_MEM,			\
},

#define SERIAL_PORT_DFNS	\
	STD_PSC_OP(1)		\
	STD_PSC_OP(2)		\
	STD_PSC_OP(3)		\
	STD_PSC_OP(6)

#define SERIAL_BAUD_BASE	(14745600 / 16)
#define SERIAL_PORT_BASE	0x80000000
#define STD_SERIAL_OP(num, irqnum) \
{							\
	.magic = 0,					\
	.baud_base = SERIAL_BAUD_BASE,		\
	.irq = irqnum,			\
	.flags = ASYNC_BOOT_AUTOCONF, 	\
	.iomem_base = (void *)(SERIAL_PORT_BASE + (num<<4)),		\
	.io_type = SERIAL_IO_MEM,			\
},

#define EXTERN_SERIAL_PORT_DFNS \
  STD_SERIAL_OP(0, MPC5xxx_IRQ2) \
  STD_SERIAL_OP(1, MPC5xxx_IRQ2) \
  STD_SERIAL_OP(2, MPC5xxx_IRQ2) \
  STD_SERIAL_OP(3, MPC5xxx_IRQ2) \
  STD_SERIAL_OP(4, MPC5xxx_IRQ3) \
  STD_SERIAL_OP(5, MPC5xxx_IRQ3) \
  STD_SERIAL_OP(6, MPC5xxx_IRQ3) \
  STD_SERIAL_OP(7, MPC5xxx_IRQ3)

#endif /* __PLATFORMS_ICECUBE_H */
