/*
 * arch/ppc/platforms/mv.h
 * 
 * Definitions for MATRIX Vision mvBox
 *
 * MATRIX Vision GmbH
 * Talstr. 16
 * D-71570 Oppenweiler
 * Germany
 * 
 * Based on Sandpoint by....
 * Author: Mark A. Greer
 *         mgreer@mvista.com
 *
 * Copyright 2000, 2001 MontaVista Software Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */

#ifndef __PPC_PLATFORMS_MVBOX_H
#define __PPC_PLATFORMS_MVBOX_H

#include <asm/ppcboot.h>

#define MVBOX_IDE_INT0	14
#define MVBOX_IDE_INT1	15

/* put the EUMB at the same place as PPCBoot */
#define MVBOX_MPC10X_MAPB_EUMB_BASE		0xFC000000
/* this is the reset vector position for the 8245 */
#define MVBOX_RESTART_ADDR				0xFFF00104

#undef  kbd_controller_present 
#define kbd_controller_present()    0 

extern void mv_find_bridges(void);
extern int mv_pci_read( int bus, int dev, int func, int reg );

#endif /* __PPC_PLATFORMS_MVBOX_H */
