/*
 * arch/ppc/platforms/sorcery.h
 *
 * Definitions for Xerox Sorcery-C MPC8220
 * Based on Alaska souces.
 * Copyright 2005 DENX Software Engineering
 * Wolfgang Denk wd@denx.de
 *
 * Modification of Dale Farnsworth's <dale.farnsworth@mvista.com>
 * version made by Kent Borg.
 *
 * Copyright 2003 Motorola Inc.
 * Copyright 2001, 2004 MontaVista Software Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 * From Processor to PCI:
 *   PCI Mem Space: 0x80000000 - 0xa0000000 -> 0x80000000 - 0xa0000000 (512 MB)
 *   PCI I/O Space: 0xfe400000 - 0xfeef0000 -> 0x00000000 - 0x00b00000 (11 MB)
 *      Note: Must skip 0xfe000000-0xfe400000 for CONFIG_HIGHMEM/PKMAP area
 *
 * From PCI to Processor:
 *   System Memory: 0x00000000 -> 0x00000000
 */

#ifndef __PPC_PLATFORMS_SORCERY_H
#define __PPC_PLATFORMS_SORCERY_H

#include <linux/config.h>
#include <asm/mpc8220.h>

#if 0
#define SORCERY_PCI_CONFIG_ADDR			0xfe000cf8
#define SORCERY_PCI_CONFIG_DATA			0xfe000cfc

#define SORCERY_PROC_PCI_IO_START		0xfe400000U
#define SORCERY_PROC_PCI_IO_END			0xfeefffffU

#define SORCERY_PROC_PCI_MEM_START		0x80000000U
#define SORCERY_PROC_PCI_MEM_END 		0x9fffffffU

#define SORCERY_PCI_DRAM_OFFSET			0x00000000U
#define SORCERY_PCI_PHY_MEM_OFFSET		0x00000000U

#define SORCERY_ISA_IO_BASE			(SORCERY_PROC_PCI_IO_START)
#define SORCERY_ISA_MEM_BASE			0x00000000U
#endif

/* Serial port definitions */

#define RS_TABLE_SIZE				1

/* this is the peripheral bus speed */

#define BASE_BAUD				120000000L

#define STD_PSC_OP						\
{								\
	.magic		= 0,					\
	.baud_base	= BASE_BAUD,				\
	.irq		= MPC8220_PSC_IRQ,			\
	.flags		= ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST,	\
	.iomem_base	= (void *)MPC8220_PSC,			\
	.io_type	= SERIAL_IO_MEM,			\
},
#define SERIAL_PORT_DFNS			STD_PSC_OP

#endif /* __PPC_PLATFORMS_SORCERY_H */

