/*
 * arch/ppc/platforms/tqm8540_setup.h
 *
 * tqm8540 board definitions
 *
 * Maintainer: Wolfgang Denk <wd@denx.de>
 * Copyright 2005 DENX Software Engineering
 *
 * Author: Xianghua Xiao
 * Copyright 2003 Motorola Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 */
#ifndef __TQM8540_SETUP_H__
#define __TQM8540_SETUP_H__
#include <linux/config.h>
#include <linux/serial.h>
#include <platforms/tqm85xx_common.h>

#define MPC8540_SERIAL_0		(CCSRBAR + 0x4500)
#define MPC8540_SERIAL_1		(CCSRBAR + 0x4600)

#ifdef CONFIG_SERIAL_MANY_PORTS
#define RS_TABLE_SIZE  64
#else
#define RS_TABLE_SIZE  2
#endif

#define BASE_BAUD 0

#ifdef CONFIG_SERIAL_DETECT_IRQ
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST|ASYNC_AUTO_IRQ)
#else
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST)
#endif
#define STD_SERIAL_PORT_DFNS \
	{ 0, BASE_BAUD, 0, MPC85xx_IRQ_DUART, STD_COM_FLAGS, /* ttyS0 */	\
		iomem_base: (u8 *)MPC8540_SERIAL_0,				\
		io_type: SERIAL_IO_MEM },					\
	{ 0, BASE_BAUD, 1, MPC85xx_IRQ_DUART, STD_COM_FLAGS, /* ttyS1 */	\
		iomem_base: (u8 *)MPC8540_SERIAL_1,				\
		io_type: SERIAL_IO_MEM },


#define SERIAL_PORT_DFNS \
	STD_SERIAL_PORT_DFNS

#endif /* __TQM8540_SETUP_H__ */
