/*
 * arch/ppc/platforms/tqm85xx_common.h
 *
 * TQM85xx common board definitions
 *
 * Maintainer: Wolfgang Denk
 * Copyright 2005 DENX Software Engineering
 *
 * Copyright 2004 Freescale Semiconductor, Inc
 * Copyright 2003 Motorola Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 */

#ifndef __TQM85XX_COMMON_H__
#define __TQM85XX_COMMON_H__

#include <linux/config.h>
#include <linux/init.h>
#include <linux/seq_file.h>
#include <asm/ppcboot.h>

#define BOARD_CCSRBAR		((uint)0xe0000000)
#define CCSRBAR_SIZE		((uint)1024*1024)

#define BCSR_ADDR		((uint)0xf8000000)
#define BCSR_SIZE		((uint)(32 * 1024))

extern void tqm85xx_setup_hose(void) __init;
extern void tqm85xx_restart(char *cmd);
extern void tqm85xx_power_off(void);
extern void tqm85xx_halt(void);
extern int tqm85xx_show_cpuinfo(struct seq_file *m);
extern void tqm85xx_init_IRQ(void) __init;
extern unsigned long tqm85xx_find_end_of_memory(void) __init;
extern void tqm85xx_map_io(void) __init;
extern void tqm85xx_calibrate_decr(void) __init;

#define PCI_CFG_ADDR_OFFSET	(0x8000)
#define PCI_CFG_DATA_OFFSET	(0x8004)

/* Additional register for PCI-X configuration */
#define PCIX_NEXT_CAP	0x60
#define PCIX_CAP_ID	0x61
#define PCIX_COMMAND	0x62
#define PCIX_STATUS	0x64

/* PCI interrupt controller */
#define PIRQA		MPC85xx_IRQ_EXT1
#define PIRQB		MPC85xx_IRQ_EXT2
#define PIRQC		MPC85xx_IRQ_EXT3
#define PIRQD		MPC85xx_IRQ_EXT4

#define TQM85XX_PCI_LOWER_IO	0x00000000
#define TQM85XX_PCI_UPPER_IO	0x00ffffff

#define TQM85XX_PCI_LOWER_MEM       0x80000000
#define TQM85XX_PCI_UPPER_MEM       0x9fffffff

#define TQM85XX_PCI_IO_BASE         0xe2000000
#define TQM85XX_PCI_MEM_OFFSET      0x00000000

#define TQM85XX_PCI_IO_SIZE         0x01000000

#endif				/* __TQM85XX_COMMON_H__ */
