/***********************************************************************
 *
 * (C) Copyright 2000
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 *
 * This driver provides access to the VMEBus and BCSR memory of
 * CPU86 VMEBus systems.
 *
 ***********************************************************************/

#ifndef	__CPU86_MEM_H
#define __CPU86_MEM_H

typedef	struct	vme_mem_s {
	const char	*name;		/* Device Name						*/
	ulong		phys;		/* physical start of memory region	*/
	ulong		addr;		/* virtual start of memory region	*/
	ulong		size;		/* size of memory region			*/
	ulong		width;		/* bus width of memory region		*/
	uint		flags;		/* Flags							*/
	uint		cs;			/* Chip Select line used			*/
} vme_mem_t;

#define	CPU86_FLAGS_BUSY	1	/* Device is BUSY */

/*
 * VME Memory Regions
 */
#define VME_MEM_EXT		0		/* VME Extended Memory			*/
#define VME_MEM_STD		1		/* VME Standard Memory			*/
#define VME_MEM_SHORT	2		/* VME Short Memory				*/
#define VME_MEM_SRAM	3		/* Static RAM			*/
#define VME_MEM_BCSR	4		/* VME Board control & status	*/

extern vme_mem_t *vme_mem_dev (int);

#endif	/* __CPU86_MEM_H */
