#ifndef _MPC5200_TIMER_H_
#define _MPC5200_TIMER_H_

typedef enum _timer_mode {
    MODE_OFF = 0,
    MODE_IC,
    MODE_OC,
    MODE_PWM,
    MODE_GPIO,
    MODE_CPU_TIMER,
    MODE_WATCHDOG_TIMER,
    MODE_MAX
} timer_mode_e;

#define MODE_IC_TYPE_ANY    0
#define MODE_IC_TYPE_RISE   1
#define MODE_IC_TYPE_FALL   2
#define MODE_IC_TYPE_PULSE  3


int mpc5200_timer_stop( int nr );
int mpc5200_timer_start( int nr );
int mpc5200_timer_prepare( int nr, int mode, void *callback, void *context );
int mpc5200_timer_setup_ci( int nr, unsigned prescale, unsigned count );
int mpc5200_timer_setup_pwm( int nr, unsigned width, int polarity, int immediate_update );
unsigned mpc5200_timer_get_prescale_us( void );

#endif
