/***********************************************************************
 *
 * (C) Copyright 2005
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 *
 ***********************************************************************/

#ifndef __BUZZER_H
#define __BUZZER_H 

#ifdef __KERNEL__
#include <linux/ioctl.h>
#else
#include <stdint.h>
#endif

/* 
 * Buzzer default values
 */
#define BUZZER_DEF_FREQ		2000	/* in Hz */
#define BUZZER_DEF_PERIOD	1000	/* in milliseconds */

/*
 * Buzzer modes
 */
#define BUZZER_OFF		0	/* Switch permanently off */
#define BUZZER_ON		1	/* Switch permanently on */
#define BUZZER_MONOFLOP		2	/* Switch on for <period> milliseconds */
#define BUZZER_PERIODIC		3	/* Switch periodically on/off for <period> milliseconds */

/*
 * Ioctl definitions
 */
#define BUZZER_MAGIC		'B'

#define BUZZER_SET_FREQ		_IOW (BUZZER_MAGIC, 0, unsigned int *)
#define BUZZER_GET_FREQ		_IOR (BUZZER_MAGIC, 1, unsigned int *)

#define BUZZER_SET_PERIOD	_IOW (BUZZER_MAGIC, 2, unsigned int *)
#define BUZZER_GET_PERIOD	_IOR (BUZZER_MAGIC, 3, unsigned int *)

#define BUZZER_SET_MODE		_IOW (BUZZER_MAGIC, 4, unsigned int *)
#define BUZZER_GET_MODE		_IOR (BUZZER_MAGIC, 5, unsigned int *)

#endif /* __BUZZER_H */
