/***********************************************************************
 *
 * (C) Copyright 2005
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 *
 ***********************************************************************/

#ifndef __LINUX_INKA_DIGIO_H__
#define __LINUX_INKA_DIGIO_H__

#define DIGIN_DISPLAY_TYPE_MASK 0x0000000f /* Inputs 0-3 */
#define DIGIN_VERSION_MASK	0x00000f00 /* Inputs 8-11 */
#define DIGIN_TOUCHSCR_MASK	0x00003000 /* Inputs 12-13 */
#define DIGIN_KEYB_MASK		0x00030000 /* Inputs 16-17 */
#define DIGIN_PRINTER		0x00100000 /* Input 20 */
#define DIGIN_BATTERY_LOW	0x00200000 /* Input 21 */
#define DIGIN_DRAWER_SW1	0x00400000 /* Input 22 */
#define DIGIN_DRAWER_SW2	0x00800000 /* Input 23 */
#define DIGIN_CFLASH_CD1	0x04000000 /* Input 26 */
#define DIGIN_CFLASH_CD2	0x08000000 /* Input 27 */
#define DIGIN_EXT_MEM1		0x10000000 /* Input 28 */
#define DIGIN_EXT_MEM2		0x20000000 /* Input 29 */

#define DIGIO_LED0		0x00000001 /* Output 0 */
#define DIGIO_LED1		0x00000002 /* Output 1 */
#define DIGIO_LED2		0x00000004 /* Output 2 */
#define DIGIO_LED3		0x00000008 /* Output 3 */
#define DIGIO_LED4		0x00000010 /* Output 4 */
#define DIGIO_LED5		0x00000020 /* Output 5 */
#define DIGIO_LEDS_MASK		(DIGIO_LED0|DIGIO_LED1|DIGIO_LED2| \
				  DIGIO_LED3|DIGIO_LED4|DIGIO_LED5)
/* Output 6 (speaker) is handled by another driver.
 */
#define DIGIO_DRAWER1		0x00000100 /* Output 8 */
#define DIGIO_DRAWER2		0x00000200 /* Output 9 */
#define DIGIO_DRAWER_MASK	(DIGIO_DRAWER1|DIGIO_DRAWER2)
#define DIGIO_INV		0x00000400 /* Output 10 */
#define DIGIO_LCD_UD		0x00001000 /* Output 12 */
#define DIGIO_LCD_LR		0x00002000 /* Output 13 */

#define DIGI_IN_PROC		"driver/digital_in"
#define DIGI_OUT_PROC		"driver/digital_out"
#define DIGI_OUT_LEDS_PROC	"driver/digital_out/leds"
#define DIGI_OUT_DRAWER_PROC	"driver/digital_out/drawer"
#define DIGI_OUT_DIR_PROC	"driver/digital_out/dir"
#define DIGI_OUT_DIMM_PROC	"driver/digital_out/dimm"
#define DIGI_OUT_INV_PROC	"driver/digital_out/inv"

#endif
